### Method

# Camel Folder set_message_flags

#### Declaration [src]

    gboolean
    camel_folder_set_message_flags (
      CamelFolder* folder,
      const gchar* uid,
      guint32 mask,
      guint32 set
    )

#### Description [src]

Sets those flags specified by `mask` to the values specified by `set` on the indicated message. (This may or may not persist after the folder or store is closed. See camel_folder_get_permanent_flags())

E.g. to set the deleted flag and clear the draft flag, use camel_folder_set_message_flags (folder, uid, CAMEL_MESSAGE_DELETED|CAMEL_MESSAGE_DRAFT, CAMEL_MESSAGE_DELETED);.

#### Parameters

`uid`

  Type: `const gchar*`

  The UID of a message in `folder`.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`mask`

  Type: `guint32`

  A mask of `CamelMessageFlags` bit-or values to use.

`set`

  Type: `guint32`

  The flags to set, also bit-or of `CamelMessageFlags`.

#### Return value

Type: `gboolean`

`TRUE` if the flags were changed or `FALSE` otherwise.